Index: trunk/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F
===================================================================
--- trunk/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F	(revision 2527)
+++ trunk/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F	(revision 2528)
@@ -37,5 +37,5 @@
       Use Agrif_CurgridFunctions
       Use Agrif_Mask
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       Use Agrif_mpp
 #endif
@@ -627,7 +627,7 @@
       
 C
-#ifdef AGRIF_MPI
-C
-#include "mpif.h"
+#ifdef key_mpp_mpi
+C
+      INCLUDE 'mpif.h'
 C
 #endif
@@ -676,5 +676,5 @@
       INTEGER :: debloc, finloc
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
       INTEGER,DIMENSION(nbdim)   :: lb,ub
@@ -740,5 +740,5 @@
 C lubglob(:,2) : global lbound for each dimension
 
-#if !defined AGRIF_MPI
+#if !defined key_mpp_mpi
         Call Agrif_nbdim_Get_bound_dimension(child % var,lubglob(:,1),
      &               lubglob(:,2),nbdim)
@@ -817,7 +817,7 @@
       
 C
-#ifdef AGRIF_MPI
-C
-#include "mpif.h"
+#ifdef key_mpp_mpi
+C
+       INCLUDE 'mpif.h'
 C
 #endif
@@ -866,5 +866,5 @@
       integer :: coeffraf
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
       INTEGER,DIMENSION(nbdim)   :: lb,ub
@@ -907,5 +907,5 @@
       ENDDO
 
-#if !defined AGRIF_MPI      
+#if !defined key_mpp_mpi      
         Call Agrif_nbdim_Get_bound_dimension(child % var,lubglob(:,1),
      &               lubglob(:,2),nbdim)
@@ -1059,7 +1059,7 @@
       
 C
-#ifdef AGRIF_MPI
-C
-#include "mpif.h"
+#ifdef key_mpp_mpi
+C
+       INCLUDE 'mpif.h'
 C
 #endif
@@ -1117,5 +1117,5 @@
       INTEGER :: nbin, ndirin
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
       INTEGER,DIMENSION(nbdim)    :: indminglob2,indmaxglob2
@@ -1157,10 +1157,10 @@
      &                     pttab_Parent,
      &                     posvartab_Child,TypeUpdate,loctab_Child
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
      &                 ,pttruetabwhole,cetruetabwhole
 #endif
      &     )
 
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       IF (memberin) THEN
        Call Agrif_GlobtoLocInd2(childarray,
@@ -1266,5 +1266,5 @@
 C
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
 C     tab2 contains the necessary limits of the parent grid for each processor
@@ -1391,5 +1391,5 @@
       ENDIF
 
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       Call Agrif_nbdim_Get_bound_dimension(parent%var,
      &                              lowerbound,upperbound,nbdim)
@@ -1475,5 +1475,5 @@
 ccc     &    child % var % root_var % interptab(1:nbdim) .EQ. 'N'
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
 c          Allocate(childvalues% var)
@@ -1513,5 +1513,5 @@
       if (Agrif_UseSpecialValue) then
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 C
 c          Call GiveAgrif_SpecialValueToTab_mpi(parent%var,tempP%var,
@@ -1678,5 +1678,5 @@
 
       IF (memberin) THEN
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       Call Agrif_nbdim_deallocation(tempP%var,nbdim)
       Call Agrif_nbdim_deallocation(tempC%var,nbdim)
@@ -1685,5 +1685,5 @@
 !      Deallocate(tempP % var)
       ENDIF
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 !      Deallocate(tempPextend%var)
 !      IF (.Not.memberin) Deallocate(tempCextend%var)
@@ -1706,5 +1706,5 @@
      &                              posvartab_child,TypeUpdate,
      &                              loctab_Child
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
      &                 ,pttruetabwhole,cetruetabwhole
 #endif
@@ -1720,5 +1720,5 @@
       
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
 cccccccccccccccccccccccccc#include "mpif.h"
 #endif
@@ -1738,5 +1738,5 @@
       INTEGER :: i
       REAL,DIMENSION(nbdim) :: dim_newmin,dim_newmax      
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       INTEGER,DIMENSION(nbdim)    :: pttruetabwhole,cetruetabwhole
       REAL :: positionmin,positionmax
@@ -1759,5 +1759,5 @@
      &        agrif_int((dim_newmax(i)-s_Parent(i))/ds_Parent(i))
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
         positionmin = s_Parent(i) + (indmin(i)-
      &                          pttab_Parent(i))*ds_Parent(i)
@@ -1816,5 +1816,5 @@
         s_Child_temp(i) = dim_newmin(i)
 
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
         s_Child_temp(i) = positionmin
 #endif
@@ -2521,5 +2521,5 @@
       End Subroutine Agrif_Compute_nbdim_update
  
-#if defined AGRIF_MPI      
+#if defined key_mpp_mpi      
       Subroutine Agrif_Find_list_update(list_update,pttab,petab,
      &                          pttab_Child,pttab_Parent,nbdim,
Index: trunk/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F
===================================================================
--- trunk/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F	(revision 2527)
+++ trunk/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F	(revision 2528)
@@ -62,8 +62,8 @@
       External :: procname
 C
-#ifdef AGRIF_MPI
+#ifdef key_mpp_mpi
       Logical      :: mpi_was_called
       Integer      :: code, ierr
-#include "mpif.h"
+      INCLUDE 'mpif.h'
 C
 C
@@ -670,6 +670,6 @@
 C             definition of the probdim and modtypes variables
 C
-#ifdef AGRIF_MPI
-#include "mpif.h"
+#ifdef key_mpp_mpi
+      INCLUDE 'mpif.h'
       Agrif_MPIPREC = MPI_DOUBLE_PRECISION
 #endif
